Imgur: Search
Search from Imgur as JSON. 1 credit per successful call.
GET /v1/imgur/searchNeeds terms
Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Required | Up to 200 characters |
page | integer | Optional | Any |
sort | string | Optional | -time, -viral |
Example request
curl "https://api.perceptlayer.com/v1/imgur/search?q=cats" \
-H "X-API-Key: $API_KEY"